%define modname automap
%define soname %{modname}.so
%define inifile A85_%{modname}.ini

Summary:	A fast map-based autoloader for PHP
Name:		php-%{modname}
Version:	1.1.0
Release:	%mkrel 5
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/automap/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		automap-1.1.0-format_not_a_string_literal_and_no_format_arguments.diff
BuildRequires:	php-devel >= 3:5.2.0
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Automap is a map-based autoloader for PHP.

%prep

%setup -q -n %{modname}-%{version}
[ "../package*.xml" != "/" ] && mv -f ../package*.xml .

%patch0 -p0

# lib64 fixes
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}
EOF

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc CREDITS README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-5mdv2009.1
+ Revision: 346394
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-4mdv2009.1
+ Revision: 341707
- rebuilt against php-5.2.9RC2

* Sun Jan 04 2009 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-3mdv2009.1
+ Revision: 324393
- fix build with -Werror=format-security

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-2mdv2009.1
+ Revision: 310248
- rebuilt against php-5.2.7

* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2009.1
+ Revision: 297942
- import php-automap


* Tue Oct 28 2008 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2009.0
- initial Mandriva package
